Bug 165247 - [PATCH] audio/alsa-plugins: remove parts of FreeBSD-specific patch
[PATCH] audio/alsa-plugins: remove parts of FreeBSD-specific patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 18:40 UTC by avg
Modified: 2012-10-04 21:26 UTC (History)
1 user (show)

See Also:


Attachments
alsa-plugins-1.0.23_2.patch (6.45 KB, patch)
2012-02-17 18:40 UTC, avg
no flags Details | Diff
alsa-plugins.txt (52.49 KB, text/plain)
2012-03-03 18:06 UTC, Aragon Gouveia
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description avg 2012-02-17 18:40:08 UTC
[DESCRIBE CHANGES]
Since r221388 and its MFCes SNDCTL_DSP_GETIPTR should work correctly
on FreeBSD and should not require any quirks/workarounds.
In fact they seem to be harmful now and result in sound outages.
Port maintainer (aragon@phat.za.net) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-02-17 18:40:22 UTC
Maintainer of audio/alsa-plugins,

Please note that PR ports/165247 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165247

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-02-17 18:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 avg 2012-02-18 18:19:30 UTC
on 18/02/2012 21:20 Aragon Gouveia said the following:
> Thanks for your submission!
> 
> I presume this change will break the port on older releases, so it'd be good if
> I can make the port apply the old patch for those still.  Do you know the
> nearest __FreeBSD_version before this was changed?

This has been committed as r221388 to then head on May 3 2011, MFC-ed to
stable/8 as r221583 on May 7 2011, and to stable/7 as r221584 on the same day.
The nearest __FreeBSD_version bumps I could find are:
- for head and stable/9: 900038
- stable/8: 802504
- stable/7: there has not been a __FreeBSD_version bump yet

As such, 8.2 and 7.4 releases do not have the change.

-- 
Andriy Gapon
Comment 4 Aragon Gouveia 2012-02-18 19:20:27 UTC
Thanks for your submission!

I presume this change will break the port on older releases, so it'd be 
good if I can make the port apply the old patch for those still.  Do you 
know the nearest __FreeBSD_version before this was changed?
Comment 5 Aragon Gouveia 2012-03-03 18:06:11 UTC
Hi.  Sorry for dragging this out so long.  Please find attached patch 
which I think does what I had in mind.

I'm not very experienced with tracking changes in src, but for stable/9 
I think you meant 900037 for the __FreeBSD_version bump?  It occurred at 
r221862.

Thanks!
Comment 6 Chris Rees freebsd_committer 2012-04-18 10:14:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 7 utisoft 2012-04-18 10:26:33 UTC
Hey,

Your patches look fine, but your .if tests in the Makefile resolve
incorrectly (for example OSVERSION=900012 will get
alsa-plugins-getiptrfix).

How does the Makefile patch at [1] look?  Your patchfiles are included
in my working copy, but not in the diff for readability.

Chris

[1] http://www.bayofrum.net/~crees/patches/alsa-plugins-osversion-conditional.patch
Comment 8 Aragon Gouveia 2012-05-01 21:10:39 UTC
Hey bud,

Ah yes, good catch, thanks!  Looks good.  Please commit it. :)


Thanks,
Aragon
Comment 9 Chris Rees freebsd_committer 2012-05-02 18:05:48 UTC
State Changed
From-To: feedback->analyzed

Taken for Tinderbox run
Comment 10 dfilter freebsd_committer 2012-05-07 16:24:03 UTC
crees       2012-05-07 15:23:52 UTC

  FreeBSD ports repository

  Modified files:
    audio/alsa-plugins   Makefile 
  Added files:
    audio/alsa-plugins/files alsa-plugins-getiptrfix.patch 
                             alsa-plugins.patch 
  Removed files:
    audio/alsa-plugins/files patch-alsa-plugins 
  Log:
  Since r221388 and its MFCs SNDCTL_DSP_GETIPTR should work correctly
  on FreeBSD and should not require any quirks/workarounds.
  In fact they seem to be harmful now and result in sound outages.
  
  PR:             ports/165247
  Submitted by:   avg
  Submitted by:   Aragon Gouveia <aragon@phat.za.net> (maintainer)
  
  Revision  Changes    Path
  1.5       +9 -1      ports/audio/alsa-plugins/Makefile
  1.1       +564 -0    ports/audio/alsa-plugins/files/alsa-plugins-getiptrfix.patch (new)
  1.1       +670 -0    ports/audio/alsa-plugins/files/alsa-plugins.patch (new)
  1.2       +0 -670    ports/audio/alsa-plugins/files/patch-alsa-plugins (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Chris Rees freebsd_committer 2012-05-07 16:24:04 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!
Comment 12 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2012-07-11 21:29:16 UTC
Andriy Gapon <avg@icyb.net.ua> writes:

> Since r221388 and its MFCes SNDCTL_DSP_GETIPTR should work correctly
> on FreeBSD and should not require any quirks/workarounds.
> In fact they seem to be harmful now and result in sound outages.
> Port maintainer (aragon@phat.za.net) is cc'd.

The patch causes desync issue with alsa backend in libsydneyaudio as
used by firefox (ports/169767), tested on /head@238294. It works fine
both with previous version of alsa-plugins port and without ariff's
patch at all.

Can you confirm?
Comment 13 Chris Rees freebsd_committer 2012-07-14 17:27:23 UTC
State Changed
From-To: closed->open

Problem :(
Comment 14 Aragon Gouveia 2012-09-29 20:09:05 UTC
Hi.  I think this PR can be closed as ports/171601 should address the 
desync issues that are reported here.

Thanks!
Comment 15 Chris Rees freebsd_committer 2012-10-04 21:26:25 UTC
State Changed
From-To: open->closed

Addressed in ports/171601